<div *ngIf="escuelas && jugador">
    <!-- En función de que esté informado jugador.id o no, se visualizará
     un título u otro
    -->
    <div class="card bg-dark text-white" style="width: 75%">
        <div class="card-header" *ngIf="!jugador.id; else blockElseTitulo">Crear jugador</div>
        <ng-template #blockElseTitulo>
            <div class="card-header">Editar jugador</div>
        </ng-template>

        <!-- El formulario se visualiza dentro del cuerpo de un control Card de Bootstrap 
  -->
        <div class="card-body">
            <form #jugadorForm="ngForm">
                <div class="form-group row">
                    <label for="nombre" class="col-form-label col-sm-2">Nombre</label>
                    <div class="col-sm-6">
                        <!-- Mediante el atributo "required" se especifica que el campo es obligatorio -->
                        <input
                            type="text"
                            name="nombre"
                            class="form-control"
                            [(ngModel)]="jugador.nombre"
                            #nombre="ngModel"
                            required
                        />
                        <!-- Si el campo está vacío (nombre.invalid) y el control pierde 
               el foco (nombre.touched), se muestra un alerta
           -->
                        <div class="alert alert-danger" *ngIf="nombre.invalid && nombre.touched">
                            <div *ngIf="nombre.errors['required']">
                                El nombre es requerido.
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group row">
                    <label for="descripcion" class="col-form-label col-sm-2">Descripcion</label>
                    <div class="col-sm-6">
                        <textarea
                            pInputTextArea
                            id="descripcion"
                            name="descripcion"
                            [(ngModel)]="jugador.descripcion"
                            [cols]="56"
                            [rows]="5"
                        ></textarea>
                    </div>
                </div>
                <div class="form-group row">
                    <label for="img" class="col-form-label col-sm-2">Imagen</label>
                    <div class="col-sm-6">
                        <input pInputText id="img" name="img" [(ngModel)]="jugador.img" />
                    </div>
                </div>
                <div class="form-group row">
                    <label for="nacimiento" class="col-form-label col-sm-2">Fecha nacimiento</label>
                    <div class="col-sm-6">
                        <!-- Para el caso de la fecha, no se enlaza el control directamente con 
                la propiedad jugador.nacimiento, sino que se utiliza una propiedad
                de la clase de tipo Date con la que se actualizará. Digamos que el
                enlace (binding) se realiza de forma manual -->
                        <p-calendar
                            [(ngModel)]="fechaJugador"
                            name="fechaJugador"
                            dateFormat="dd/mm/yy"
                            required
                            #fechaNacimiento="ngModel"
                            [monthNavigator]="true"
                            [yearNavigator]="true"
                            yearRange="1400:2100"
                        ></p-calendar>
                        <!-- Como en el caso del nombre, se valida que el campo tome un valor -->
                        <div
                            class="alert alert-danger"
                            *ngIf="fechaNacimiento.invalid && fechaNacimiento.touched"
                        >
                            <div *ngIf="fechaNacimiento.errors['required']">
                                La fecha de nacimiento es requerida.
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group row">
                    <label for="escuela" class="col-form-label col-sm-2">Escuela</label>
                    <div class="col-sm-6">
                        <p-dropdown
                            name="escuela"
                            [options]="escuelas"
                            [(ngModel)]="jugador.escuela"
                            placeholder="Selecciona una escuela"
                            optionLabel="descripcion"
                            [showClear]="false"
                            #escuelaJugador="ngModel"
                            required
                        ></p-dropdown>
                        <!-- <input pInputText name="escuela" id="escuela" [(ngModel)]="jugador.escuela" /> -->
                        <div
                            class="alert alert-danger"
                            *ngIf="escuelaJugador.invalid && escuelaJugador.touched">
                            La escuela es requerida
                        </div>
                    </div>
                </div>
                <!-- El botón de CREAR se hará visible si está informado el campo id de "jugador",
            lo que indicará que se trata de un alta. En caso contrario, mediante la variable
            #elseBlock, se visualizará el botón de "Guardar" ya que será una actualización
        -->
                <div class="form-group row">
                    <div class="col-sm-6">
                        <!-- EL botón "Crear" solo se habilita si el formulario pasa las validaciones esspecificadas -->
                        <button
                            class="btn btn-primary"
                            role="button"
                            (click)="create()"
                            *ngIf="!jugador.id; else elseBlock"
                            [disabled]="!jugadorForm.form.valid"
                        >
                            Crear
                        </button>
                        <ng-template #elseBlock>
                            <!-- EL botón "Guardar" solo se habilita si el formulario pasa las validaciones esspecificadas -->
                            <button
                                class="btn btn-primary"
                                role="button"
                                (click)="update()"
                                [disabled]="!jugadorForm.form.valid"
                            >
                                Guardar
                            </button>
                        </ng-template>
                        <button
                            class="btn btn-primary"
                            type="button"
                            role="button"
                            (click)="volver()"
                            style="margin-left:15px"
                        >
                            Volver
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
